// Compiled by ClojureScript 1.9.562 {:target :nodejs}
goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__28975__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__28975 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__28977__i = 0, G__28977__a = new Array(arguments.length -  0);
while (G__28977__i < G__28977__a.length) {G__28977__a[G__28977__i] = arguments[G__28977__i + 0]; ++G__28977__i;}
  args = new cljs.core.IndexedSeq(G__28977__a,0,null);
} 
return G__28975__delegate.call(this,args);};
G__28975.cljs$lang$maxFixedArity = 0;
G__28975.cljs$lang$applyTo = (function (arglist__28978){
var args = cljs.core.seq(arglist__28978);
return G__28975__delegate(args);
});
G__28975.cljs$core$IFn$_invoke$arity$variadic = G__28975__delegate;
return G__28975;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__28979__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__28979 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__28983__i = 0, G__28983__a = new Array(arguments.length -  0);
while (G__28983__i < G__28983__a.length) {G__28983__a[G__28983__i] = arguments[G__28983__i + 0]; ++G__28983__i;}
  args = new cljs.core.IndexedSeq(G__28983__a,0,null);
} 
return G__28979__delegate.call(this,args);};
G__28979.cljs$lang$maxFixedArity = 0;
G__28979.cljs$lang$applyTo = (function (arglist__28985){
var args = cljs.core.seq(arglist__28985);
return G__28979__delegate(args);
});
G__28979.cljs$core$IFn$_invoke$arity$variadic = G__28979__delegate;
return G__28979;
})()
;

return null;
});
